function [map, Cost] = MatchingTopics(topicmtx1, topicmtx2,k,isbinary)
% This is used to align two topic matrix based on bipartile graph matching
% using l1-distence 
%
% topicmtx1, topicmtx2 are two topic matrices for comparison;
% k is the number of the topics.
% construct Tomonite dissimilarity matrix
% using Hungarian algorithm
[W,k]=size(topicmtx1);
Perf = zeros(k,k);
topicmtx1=normalizeTopic(topicmtx1);
topicmtx2=normalizeTopic(topicmtx2);
if isbinary
    topicmtx1 = double(topicmtx1>0.01/W);
    topicmtx2 = double(topicmtx2>0.01/W);
end
% make sure the two topics set a normalized
for i=1:k
    for j=1:k
        veca = topicmtx1(:,i);
        vecb = topicmtx2(:,j);
        Perf(i,j) = sum(abs(veca-vecb));
%        Perf(i,j) =  ((veca-vecb)'*(veca-vecb))/(veca'*veca+vecb'*vecb-veca'*vecb);
    end
end
[Matching,Cost] = Hungarian(Perf);
map=zeros(1,k);
for i=1:k
    map(i) = find(Matching(i,:)==1);
    cst(i) = Perf(i,map(i));
end
cst
topicmtx2 = topicmtx2(:, map);
a = sum(abs(topicmtx2-topicmtx1), 1);
sum(a);